apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: netstar-categorizer
  namespace: blackdice
spec:
  ingressClassName: nginx
  rules:
  - host: netstar-cat-dev.blackdice.ai
    http:
      paths:
      - backend:
          service:
            name: netstar-categorizer
            port:
              number: 3000
        path: /
        pathType: ImplementationSpecific
  tls:
  - hosts:
    - dns-dev.blackdice.ai
    secretName: blackdice-ai
